LFS_SEGWAIT(2) | System Calls Manual | LFS_SEGWAIT(2)

# NAME

`lfs_segwait` — wait until a segment is written

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <sys/types.h>`

int
`lfs_segwait`(fsid_t *fsidp, struct timeval *tv);

# DESCRIPTION

`lfs_segwait`() blocks until a new segment is acquired for writing by the file system specified by *fsidp or if *fsidp is -1, until a segment is acquired for writing by any LFS file system.

If timeout is non-zero, `lfs_segwait`() will return after timeout milliseconds regardless of whether a new segment has been designated for writing or not.

# RETURN VALUES

`lfs_segwait`() returns 0 if a new segment was acquired; 1 if it timed out; or -1 on error.

# ERRORS

An error return from `lfs_segwait`() indicates:

[`EFAULT`]
  fsidp points outside the process's allocated address space.
[`EINTR`]
  A signal was delivered before the time limit expired and before a new segment was designated for writing.
[`EINVAL`]
  The specified time limit is negative.

# SEE ALSO

lfs_bmapv(2), lfs_markv(2), lfs_segclean(2), lfs_cleanerd(8)

# HISTORY

The `lfs_segwait`() function call appeared in 4.4BSD.

May 23, 2000 | NetBSD 11.0